com.ihr.xbrl.om.formula.util

## Class AspectsCache

- java.lang.Object
- - com.ihr.xbrl.om.formula.util.AspectsCache

-     public class AspectsCache
      extends java.lang.Object

  This class contains cached results of the aspects tests in order to accelerate the implicit filters. This class is used internally by the formula processor and users should not use it.

  public methods on this class are not documented to avoid people to use them incorrectly.

  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AspectsCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `cachedResult(int aspect, java.util.Collection<javax.xml.namespace.QName> dimensionsTested, java.lang.Object node1, java.lang.Object node2)` Cached result.
    `java.lang.Boolean` | `cachedResult(int aspect, java.lang.Object node1, java.lang.Object node2)` Cached result.
    `void` | `cachePut(int aspect, java.util.Collection<javax.xml.namespace.QName> dimensionsTested, java.lang.Object node1, java.lang.Object node2, boolean result)` Cache put.
    `void` | `cachePut(int aspect, java.lang.Object node1, java.lang.Object node2, boolean result)` Cache put.
    `void` | `clear()` Clear.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AspectsCache

          public AspectsCache()

  - ### Method Detail

    - #### clear

          public void clear()

      Clear.

    - #### cachedResult

          public java.lang.Boolean cachedResult(int aspect,
                                       java.lang.Object node1,
                                       java.lang.Object node2)

      Cached result.
      Parameters:
        `aspect` - the aspect
        `node1` - the node1
        `node2` - the node2
      Returns:
        the boolean

    - #### cachePut

          public void cachePut(int aspect,
                      java.lang.Object node1,
                      java.lang.Object node2,
                      boolean result)

      Cache put.
      Parameters:
        `aspect` - the aspect
        `node1` - the node1
        `node2` - the node2
        `result` - the result

    - #### cachePut

          public void cachePut(int aspect,
                      java.util.Collection<javax.xml.namespace.QName> dimensionsTested,
                      java.lang.Object node1,
                      java.lang.Object node2,
                      boolean result)

      Cache put.
      Parameters:
        `aspect` - the aspect
        `dimensionsTested` - the dimensions tested
        `node1` - the node1
        `node2` - the node2
        `result` - the result

    - #### cachedResult

          public java.lang.Boolean cachedResult(int aspect,
                                       java.util.Collection<javax.xml.namespace.QName> dimensionsTested,
                                       java.lang.Object node1,
                                       java.lang.Object node2)

      Cached result.
      Parameters:
        `aspect` - the aspect
        `dimensionsTested` - the dimensions tested
        `node1` - the node1
        `node2` - the node2
      Returns:
        the boolean